Loading...
Searching...
No Matches
Opm::detail::ParallelFileMerger Class Reference

A functor that merges multiple files of a parallel run to one file. More...

`#include <ParallelFileMerger.hpp>`

## Public Member Functions

| ParallelFileMerger (const fs::path &output_dir, const std::string &deckname, bool show_fallout=false)
| Constructor.
void | operator() (const fs::path &file)

## Detailed Description

A functor that merges multiple files of a parallel run to one file.

Without care multiple processes might log messages in a parallel run. Non-root processes will do that to seperate files <basename>.<rank>.<extension. This functor will append those file to usual ones and delete the other files.

## Constructor & Destructor Documentation

## ParallelFileMerger()

Opm::detail::ParallelFileMerger::ParallelFileMerger | ( | const fs::path & | output_dir,
|  | const std::string & | deckname,
|  | bool | show_fallout = false )

Constructor.

Parameters

  output_dir | The output directory to use for reading/Writing.
  deckname | The name of the deck.
  show_fallout | True to show fall-out

The documentation for this class was generated from the following files:

- opm/simulators/utils/ParallelFileMerger.hpp
- opm/simulators/utils/ParallelFileMerger.cpp